package physbeans.model;

/**
 * Possible ways to create a real value from a complex one.
 */
public enum ComplexToRealEnum {

  REAL("real part"),
  IMAG("imaginary part"),
  ABS("absolute value"),
  ABS2("square of absolute value"),
  PHASE("phase");
  
  private String name;

  private ComplexToRealEnum(String n) {
    name = n;
  }

  public String getName() {
    return name;
  }
};

